Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Message.ConsumptionStatus

    java.lang.Object
      java.lang.Enum<Message.ConsumptionStatus>
          com.skype.api.Message.ConsumptionStatus

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Message.ConsumptionStatus>

Enclosing class:
  Message

    public static enum Message.ConsumptionStatus

extends java.lang.Enum<Message.ConsumptionStatus>
implements EnumConverting

Indicates if a message has been consumed (meaning read) or not

Enum Constant Summary
`CONSUMED` Message has been read.
`UNCONSUMED_ELEVATED` This message consumption state is marked as DEPRECATED
`UNCONSUMED_NORMAL` Notify the user that they have this unread message
`UNCONSUMED_SUPPRESSED` Do not notify the user that they have this unread message

Field Summary
`static int` | `CONSUMED_VALUE`
`static int` | `UNCONSUMED_ELEVATED_VALUE`
`static int` | `UNCONSUMED_NORMAL_VALUE`
`static int` | `UNCONSUMED_SUPPRESSED_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Message.ConsumptionStatus` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Message.ConsumptionStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Message.ConsumptionStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONSUMED

    public static final Message.ConsumptionStatus CONSUMED

  Message has been read. Note that this is a read-only property. Consumption status of individual messages can not be set selectively. Message consumption status is determined at the conversation level, based conversation consumption horizon and individual message timestamps. Conversation consumption horizon can be updated with Conversation.SetConsumedHorizon method.

### UNCONSUMED_SUPPRESSED

    public static final Message.ConsumptionStatus UNCONSUMED_SUPPRESSED

  Do not notify the user that they have this unread message

### UNCONSUMED_NORMAL

    public static final Message.ConsumptionStatus UNCONSUMED_NORMAL

  Notify the user that they have this unread message

### UNCONSUMED_ELEVATED

    public static final Message.ConsumptionStatus UNCONSUMED_ELEVATED

  This message consumption state is marked as DEPRECATED

Field Detail

### CONSUMED_VALUE

    public static final int CONSUMED_VALUE

See Also:
  Constant Field Values

### UNCONSUMED_SUPPRESSED_VALUE

    public static final int UNCONSUMED_SUPPRESSED_VALUE

See Also:
  Constant Field Values

### UNCONSUMED_NORMAL_VALUE

    public static final int UNCONSUMED_NORMAL_VALUE

See Also:
  Constant Field Values

### UNCONSUMED_ELEVATED_VALUE

    public static final int UNCONSUMED_ELEVATED_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Message.ConsumptionStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Message.ConsumptionStatus c : Message.ConsumptionStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Message.ConsumptionStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Message.ConsumptionStatus get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.